<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="onClickCancel"
            type="android.view.View.OnClickListener" />

        <variable
            name="onClickSure"
            type="android.view.View.OnClickListener" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:background="@color/black70">

        <View
            android:id="@+id/v_bg"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_dialog_bg"
            app:layout_constraintBottom_toBottomOf="@+id/space4"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@+id/space1"
            app:layout_constraintWidth_percent="0.7777777777777778" />

        <Space
            android:id="@+id/space1"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:24"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_dialog_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:textColor="@color/common_txt_color"
            android:textSize="15sp"
            android:textStyle="bold"
            app:layout_constraintWidth_percent="0.6444444444444444"
            android:gravity="center"
            app:layout_constraintEnd_toEndOf="@+id/v_bg"
            app:layout_constraintStart_toStartOf="@+id/v_bg"
            app:layout_constraintTop_toBottomOf="@+id/space1"
            tools:text="@string/dialog_kind_tips" />

        <Space
            android:id="@+id/space2"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:16"
            app:layout_constraintTop_toBottomOf="@+id/tv_dialog_title" />

        <TextView
            android:id="@+id/tv_content"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:textColor="#404040"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/space2"
            app:layout_constraintWidth_percent="0.6444444444444444"
            tools:text="您确定退出登录吗？" />

        <Space
            android:id="@+id/space3"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:36"
            app:layout_constraintTop_toBottomOf="@+id/tv_content" />

        <TextView
            android:id="@+id/tv_cancel"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_dialog_cancel"
            android:gravity="center"
            android:onClick="@{onClickCancel}"
            android:text="@string/dialog_cancel"
            android:textColor="@color/white"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintDimensionRatio="110:36"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintLeft_toLeftOf="@+id/v_bg"
            app:layout_constraintRight_toLeftOf="@+id/tv_sure"
            app:layout_constraintTop_toBottomOf="@+id/space3"
            app:layout_constraintWidth_percent="0.3055555555555556" />

        <TextView
            android:id="@+id/tv_sure"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginStart="12dp"
            android:background="@drawable/bg_common_btn"
            android:gravity="center"
            android:onClick="@{onClickSure}"
            android:text="@string/dialog_sure"
            android:textColor="@color/white"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintDimensionRatio="110:36"
            app:layout_constraintLeft_toRightOf="@+id/tv_cancel"
            app:layout_constraintRight_toRightOf="@+id/v_bg"
            app:layout_constraintTop_toBottomOf="@+id/space3"
            app:layout_constraintWidth_percent="0.3055555555555556" />

        <Space
            android:id="@+id/space4"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:24"
            app:layout_constraintTop_toBottomOf="@+id/tv_cancel" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>